# Textfield_Pro

## Screenshots

<img width="349" alt="Screen Shot 2022-10-05 at 1 08 07 PM" src="https://user-images.githubusercontent.com/74039927/193992565-59ddd114-12d5-4e3d-8702-81dbc3b33638.png">
<img width="344" alt="Screen Shot 2022-10-05 at 1 16 02 PM" src="https://user-images.githubusercontent.com/74039927/193993715-18358a42-c056-4225-8c3f-63d06fc24dbd.png">
<img width="347" alt="Screen Shot 2022-10-05 at 1 16 10 PM" src="https://user-images.githubusercontent.com/74039927/193993887-81c16990-59d9-4f94-81c0-16a175757e16.png">

## Required
before you install this package you must install [responsive_sizer](https://pub.dev/packages/responsive_sizer) to make our Textfield responsive and follow the code as below :
```bash
 ResponsiveSizer( 
  builder: (context, orientation, screenType) {
    return MaterialApp(
      home: HomePage(),
    );
  },
);
```

## Installation

Depend on it

Run this command:

With Flutter:

```bash
 $ flutter pub add textfield_pro
```

## Usage

```flutter
 TextFieldPro(
   controller: controller ,
   onChangeTextField: (value) {}, 
   hintText: 'Enter Phone',   
   label: 'Phone Number', 
   isRequired: true, 
   prefix: '(+855)', 
   isValidate: true, 
   errorMessage: 'Phone Required', 
)
```

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.
